Bug 1468028 - auth_gssapi plugin should be disabled by default
auth_gssapi plugin should be disabled by default
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: mariadb (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michal Schorm
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-05 15:45 EDT by bharper
Modified: 2017-07-28 05:59 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-28 05:59:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bharper 2017-07-05 15:45:02 EDT
Description of problem:

In current builds of mariadb, the auth_gssapi plugin is enabled by default but needs the /etc/krb5.keytab file to start without errors.


Version-Release number of selected component (if applicable):

mariadb-common-10.1.24-3.fc25.x86_64
mariadb-config-10.1.24-3.fc25.x86_64
mariadb-libs-10.1.24-3.fc25.x86_64
mariadb-server-10.1.24-3.fc25.x86_64
mariadb-errmsg-10.1.24-3.fc25.x86_64
mariadb-10.1.24-3.fc25.x86_64
mariadb-server-utils-10.1.24-3.fc25.x86_64

How reproducible:

Errors are logged when /etc/krb5.keytab has not been created.


Steps to Reproduce:
1. On a new server, install mariadb-server
2. systemctl start mariadb
3. check logs

Actual results:
2017-07-05 18:02:48 140116306090304 [Warning] mysqld: GSSAPI plugin : default principal 'mariad
b/ben@' not found in keytab
2017-07-05 18:02:48 140116306090304 [ERROR] mysqld: Server GSSAPI error (major 851968, minor 25
29639093) : gss_acquire_cred failed -Unspecified GSS failure.  Minor code may provide more info
rmation. Keytab FILE:/etc/krb5.keytab is nonexistent or empty. 
2017-07-05 18:02:48 140116306090304 [ERROR] Plugin 'gssapi' init function returned error.

Expected results:
Mariadb should start without any errors without the /etc/krb5.keytab file.

Additional info:
The plugin can be commented out with the following:

sed -i s/^plugin-load-add=auth_gssapi.so/#plugin-load-add=auth_gssapi.so/g /etc/my.cnf.d/auth_gssapi.cnf
Comment 1 bharper 2017-07-06 08:07:34 EDT
The sed line for the SPEC file can be something like this:

sed -i 's|^plugin-load-add=auth_gssapi.so|#plugin-load-add=auth_gssapi.so|' %{buildroot}%{_sysconfdir}/my.cnf.d/auth_gssapi.cnf
Comment 2 Michal Schorm 2017-07-11 08:21:06 EDT
Thanks for the report.

I disabled the GssApi plugin by default.
Comment 3 Fedora Update System 2017-07-12 02:16:16 EDT
mariadb-10.1.25-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-1c581dc391
Comment 4 Fedora Update System 2017-07-12 11:53:23 EDT
mariadb-10.1.25-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5a6f49afbd
Comment 5 Fedora Update System 2017-07-12 12:25:12 EDT
mariadb-10.1.25-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ebeb4bb332
Comment 6 Fedora Update System 2017-07-12 14:22:33 EDT
mariadb-10.1.25-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-1c581dc391
Comment 7 Fedora Update System 2017-07-17 00:52:52 EDT
mariadb-10.1.25-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2017-07-27 15:50:14 EDT
mariadb-10.1.25-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2017-07-27 17:52:19 EDT
mariadb-10.1.25-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.